Recupera un usuario
curl --request GET \
--url https://api.hubapi.com/settings/users/2026-03/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/users/2026-03/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/users/2026-03/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Usuarios
Retrieve a user
Recupera un usuario identificado por “userId”. Por opción predeterminada, “userId” hace referencia al ID del usuario, u opcionalmente al correo especificado por el parámetro de consulta “IdProperty”.
GET
/
settings
/
users
/
2026-03
/
{userId}
Recupera un usuario
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Parámetros de consulta
Opciones disponibles:
EMAIL, USER_ID Última modificación el 3 de abril de 2026